import { _decorator, Component, Node } from 'cc';
import { UIBase, UIType } from '../GameFrameWork/UIBase';
import { UIMgr } from '../../Frames/UIManager';
const { ccclass, property } = _decorator;

@ccclass('Start')
export class Start extends UIBase {
    protected onStart() {
        this.onBtnClick("_btnStart", this._btnStart);
        this.onBtnClick("_btnMusic", this._btnMusic);
    }

    private _btnStart() {
        UIMgr.closeUI("Start");
        //UIMgr.openUI("BattleSceneSelect");

        // UIMgr.openUI("BattleScene_Left", UIType.WIDGET);
        // UIMgr.openUI("BattleScene_Right", UIType.WIDGET);
        // UIMgr.openUI("BattleScene_Top", UIType.WIDGET);
    }

    private _btnMusic() {
        // let _roleData: RoleData[] = null;
        // _roleData = dataMgr.getAllDataByName("RoleCardData");
        // _roleData.forEach((values,index)=>{
        //     this.createRoleCard(index)
        // })
    }
}


